| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Lib::SerializationDto< Type > Class Template Reference

Generic base class for Data Transfer Objects (DTO). This class is used as template for producing concrete DTO classes. Such DTOs are used for serialization and deserialization of state of various kinds of objects that need to be transfered between applications, across platforms, or simply stored in files for future use. More...

Inheritance diagram for IG::Lib::SerializationDto< Type >:
[legend]
Collaboration diagram for IG::Lib::SerializationDto< Type >:
[legend]

List of all members.

## Public Member Functions
| SerializationDto ()

## Detailed Description

### template<Type>
class IG::Lib::SerializationDto< Type >

Generic base class for Data Transfer Objects (DTO). This class is used as template for producing concrete DTO classes. Such DTOs are used for serialization and deserialization of state of various kinds of objects that need to be transfered between applications, across platforms, or simply stored in files for future use.

Template Parameters:

  Type | Type for which DTO is used.

See also:
  SerializationDtoBase<Type, Type>

There is an agreement that all derived classes must have a public argument-less (default) constructor. Generic classes are usually not used for serialization/deserialization. Only derived types where both type parameters are fixed are normally used for this purpos. This class is essentially equal to SerializationDtoBase<Type, BaseType> where BaseType is the same as Type. IMPORTANT: This class does not have base type specified, i.e. it is used for situation where actual object type is not sidtinguished from base type. Base type in the variant with two types (SerializationDtoBase<Type, BaseType>) is used just occasionally because of the benefit of defining copying operation only for base type and use it for different derived types. $A Igor Jun09;

Type Constraints

  Type | : | class |

## Member Function Documentation

template<Type >

IG::Lib::SerializationDto< Type >::SerializationDto | ( |  | ) | `[inline]`

Reimplemented from IG::Lib::SerializationDto.

The documentation for this class was generated from the following file:

- SerializationDtoBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events